# Uses of Class
com.logicaldoc.core.searchengine.SearchException

Packages that use SearchException
Package
Description
com.logicaldoc.core.automation
Automation subsystem that allows you to program your own logic inside the platform.
The automation engine can be accessed through the class `Automation`
Please note the special annotation `AutomationDictionary` that is used to automatically put in the Dictionary whatever bean you need.
com.logicaldoc.core.filler
Package with the API for implementing the autofill of `ExtensibleObject`s
com.logicaldoc.core.searchengine
The core of the search engine.
com.logicaldoc.core.searchengine.folder

## Uses of SearchException in com.logicaldoc.core.automation

Methods in com.logicaldoc.core.automation that throw SearchException
Modifier and Type
Method
Description
`List<Hit>`
SearchTool.`search(SearchOptions options)`
Instantiates a new `Search`

## Uses of SearchException in com.logicaldoc.core.filler

Methods in com.logicaldoc.core.filler that throw SearchException
Modifier and Type
Method
Description
`void`
ChainFiller.`fill(Fillable fillable, String content, History transaction, Map<String,Object> dictionary)`
`void`
Filler.`fill(Document document, DocumentHistory transaction, Map<String,Object> dictionary)`
Fills a document using the body text as input
`abstract void`
Filler.`fill(Fillable fillable, String content, History transaction, Map<String,Object> dictionary)`
Fills an object instance

## Uses of SearchException in com.logicaldoc.core.searchengine

Methods in com.logicaldoc.core.searchengine that throw SearchException
Modifier and Type
Method
Description
`void`
FulltextSearch.`internalSearch()`
`void`
TagSearch.`internalSearch()`
`final List<Hit>`
Search.`search()`
Perform the search

## Uses of SearchException in com.logicaldoc.core.searchengine.folder

Methods in com.logicaldoc.core.searchengine.folder that throw SearchException
Modifier and Type
Method
Description
`void`
FolderSearch.`internalSearch()`